From 508521c24c60730613250e5a0fac7032700e0cf2 Mon Sep 17 00:00:00 2001
From: gunasrij <gunasri.jayakumar@multicorewareinc.com>
Date: Tue, 1 Apr 2025 10:19:04 +0530
Subject: [PATCH] Fix invalid --input-csp values

---
 source/input/yuv.cpp | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/source/input/yuv.cpp b/source/input/yuv.cpp
index 65d696c48..c13b4f375 100644
--- a/source/input/yuv.cpp
+++ b/source/input/yuv.cpp
@@ -53,6 +53,11 @@ YUVInput::YUVInput(InputFileInfo& info, bool alpha, int format)
     threadActive = false;
     ifs = NULL;
 
+    if (colorSpace < 0 || colorSpace >= X265_CSP_MAX)
+    {
+        x265_log(NULL, X265_LOG_ERROR, "Invalid color space: %d\n", colorSpace);
+        return;
+    }
     uint32_t pixelbytes = depth > 8 ? 2 : 1;
     framesize = 0;
     for (int i = 0; i < x265_cli_csps[colorSpace].planes + alphaAvailable; i++)
-- 
2.49.0

